package com.madeu.service.web.webmembership;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

public interface WebMembershipService {
    public HashMap<String, Object> selectListMembershipIntro(HashMap<String, Object> paramMap) throws Exception;
    public HashMap<String, Object> selectListMembership(HashMap<String, Object> paramMap) throws Exception;
    public HashMap<String, Object> selectListMembershipProcedure(HashMap<String, Object> paramMap) throws Exception;
    public List<Map<String, Object>> downloadMembershipExcel(HashMap<String, Object> paramMap) throws Exception;
    public HashMap<String, Object> selectListUseMembershipIntro(HashMap<String, Object> paramMap) throws Exception;
    public HashMap<String, Object> selectListMembershipProcedureIntro(HashMap<String, Object> paramMap) throws Exception;
    public HashMap<String, Object> selectUseMembershipList(HashMap<String, Object> paramMap) throws Exception;
    public List<Map<String, Object>> selectUseMembershipExcel(HashMap<String, Object> paramMap) throws Exception;
    public HashMap<String, Object> updateMembershipIntro(HashMap<String, Object> paramMap) throws Exception;
    public HashMap<String, Object> selectListMembershipHistory(HashMap<String, Object> paramMap) throws Exception;
    public HashMap<String, Object> selectMembershipBalance(HashMap<String, Object> paramMap) throws Exception;
    public HashMap<String, Object> selectToTransferUser(HashMap<String, Object> paramMap) throws Exception;
    public HashMap<String, Object> selectMembershipTransfer(HashMap<String, Object> paramMap) throws Exception;
    public List<Map<String, Object>> downloadMembershipHistoryExcel(HashMap<String, Object> paramMap) throws Exception;
    public HashMap<String, Object> updateTransferMembership(HashMap<String, Object> paramMap)throws Exception;
    public HashMap<String, Object> insertMembership(HashMap<String, Object> paramMap)throws Exception;
    public HashMap<String, Object> insertMembershipPoint(HashMap<String, Object> paramMap)throws Exception;
    public HashMap<String, Object> insertMembershipProcedure(HashMap<String, Object> paramMap)throws Exception;
    public HashMap<String, Object> deleteMembershipProcedure(HashMap<String, Object> paramMap) throws Exception;

}
